{
    "version": "2.0.0",
    "tasks": [
        {
            "label": "build",
            "command": "dotnet",
            "type": "process",
            "args": [
                "build",
                "${workspaceFolder}/GerbilManager.slnx",
                "/property:GenerateFullPaths=true",
                "/consoleloggerparameters:NoSummary;ForceNoAlign"
            ],
            "problemMatcher": "$msCompile"
        },
        {
            "label": "publish",
            "command": "dotnet",
            "type": "process",
            "args": [
                "publish",
                "${workspaceFolder}/GerbilManager.slnx",
                "/property:GenerateFullPaths=true",
                "/consoleloggerparameters:NoSummary;ForceNoAlign"
            ],
            "problemMatcher": "$msCompile"
        },
        {
            "label": "watch",
            "command": "dotnet",
            "type": "process",
            "args": [
                "watch",
                "run",
                "--project",
                "${workspaceFolder}/GerbilManager.slnx"
            ],
            "problemMatcher": "$msCompile"
        },
        {
            "type": "docker-build",
            "label": "docker-build: debug",
            "dependsOn": [
                "build"
            ],
            "dockerBuild": {
                "tag": "gerbilmanager:dev",
                "target": "base",
                "dockerfile": "${workspaceFolder}/GerbilManagerWebAPI/Dockerfile",
                "context": "${workspaceFolder}",
                "pull": true
            },
            "netCore": {
                "appProject": "${workspaceFolder}/GerbilManagerWebAPI/GerbilManagerWebAPI.csproj"
            }
        },
        {
            "type": "docker-build",
            "label": "docker-build: release",
            "dependsOn": [
                "build"
            ],
            "dockerBuild": {
                "tag": "gerbilmanager:latest",
                "dockerfile": "${workspaceFolder}/GerbilManagerWebAPI/Dockerfile",
                "context": "${workspaceFolder}",
                "platform": {
                    "os": "linux",
                    "architecture": "amd64"
                },
                "pull": true
            },
            "netCore": {
                "appProject": "${workspaceFolder}/GerbilManagerWebAPI/GerbilManagerWebAPI.csproj"
            }
        },
        {
            "type": "docker-run",
            "label": "docker-run: debug",
            "dependsOn": [
                "docker-build: debug"
            ],
            "dockerRun": {},
            "netCore": {
                "appProject": "${workspaceFolder}/GerbilManagerWebAPI/GerbilManagerWebAPI.csproj",
                "enableDebugging": true,
                "configureSsl": false
            }
        },
        {
            "type": "docker-run",
            "label": "docker-run: release",
            "dependsOn": [
                "docker-build: release"
            ],
            "dockerRun": {},
            "netCore": {
                "appProject": "${workspaceFolder}/GerbilManagerWebAPI/GerbilManagerWebAPI.csproj"
            }
        }
    ]
}